Package ghidra.util.database.spatial.rect

# Class Abstract2DRStarTree.AsSpatialMap<DS extends BoundedShape<NS>,DR extends DBTreeDataRecord<DS,NS,T>,NS extends Rectangle2D<?,?,NS>,T,Q extends AbstractRectangle2DQuery<?,?,DS,NS,Q>>

java.lang.Object
ghidra.util.database.spatial.AbstractConstraintsTreeSpatialMap<DS,DR,NS,T,Q>
ghidra.util.database.spatial.rect.Abstract2DRStarTree.AsSpatialMap<DS,DR,NS,T,Q>

All Implemented Interfaces:
  `SpatialMap<DS,T,Q>`

Enclosing class:
  `Abstract2DRStarTree<X,Y,DS extends BoundedShape<NS>,DR extends DBTreeDataRecord<DS,NS,T>,NS extends Rectangle2D<X,Y,NS>,NR extends DBTreeNodeRecord<NS>,T,Q extends AbstractRectangle2DQuery<X,Y,DS,NS,Q>>`

protected static class Abstract2DRStarTree.AsSpatialMap<DS extends BoundedShape<NS>,DR extends DBTreeDataRecord<DS,NS,T>,NS extends Rectangle2D<?,?,NS>,T,Q extends AbstractRectangle2DQuery<?,?,DS,NS,Q>> extends AbstractConstraintsTreeSpatialMap<DS,DR,NS,T,Q>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.util.database.spatial.AbstractConstraintsTreeSpatialMap

  `AbstractConstraintsTreeSpatialMap.ToArrayConsumer<A,T,U extends A>, AbstractConstraintsTreeSpatialMap.ToListConsumer<A,T,U extends A>`

  ## Nested classes/interfaces inherited from interface ghidra.util.database.spatial.SpatialMap

  `SpatialMap.EmptySpatialMap<DS extends BoundedShape<?>,T,Q>`

- ## Field Summary

  ### Fields inherited from class ghidra.util.database.spatial.AbstractConstraintsTreeSpatialMap

  `query, tree`

  ### Fields inherited from interface ghidra.util.database.spatial.SpatialMap

  `EMPTY_MAP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsSpatialMap(AbstractConstraintsTree<DS,DR,NS,?,T,Q> tree, Q query)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Abstract2DRStarTree.AsSpatialMap<DS,DR,NS,T,Q>`
  `reduce(Q andQuery)`

  ### Methods inherited from class ghidra.util.database.spatial.AbstractConstraintsTreeSpatialMap

  `checkInt, clear, entries, firstEntry, firstKey, firstValue, isEmpty, keys, orderedEntries, orderedKeys, orderedValues, put, remove, remove, size, values`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsSpatialMap

    public AsSpatialMap(AbstractConstraintsTree<DS,DR,NS,?,T,Q> tree, Q query)

- ## Method Details

  - ### reduce

    public Abstract2DRStarTree.AsSpatialMap<DS,DR,NS,T,Q> reduce(Q andQuery)